Last Comment Bug 368316 - (vc9-configure) Configure fails with "Unsupported compiler" when building with VC9 (Codename "Orcas")
(vc9-configure)
: Configure fails with "Unsupported compiler" when building with VC9 (Codename ...
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86 Windows Vista
: -- critical (vote)
: ---
Assigned To: Gábor Stefanik
:
: Gregory Szorc [:gps]
Mentors:
Depends on:
Blocks: vc9
  Show dependency treegraph
 
Reported: 2007-01-26 07:47 PST by Gábor Stefanik
Modified: 2008-03-10 08:58 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Add VC9/CL15 support to Configure.in (1.16 KB, patch)
2007-01-26 07:47 PST, Gábor Stefanik
benjamin: review-
Details | Diff | Splinter Review
Add VC9/CL15 support to Configure.in, v1.1 (1.12 KB, patch)
2007-01-28 08:22 PST, Gábor Stefanik
benjamin: review+
Details | Diff | Splinter Review

Description Gábor Stefanik 2007-01-26 07:47:13 PST
Created attachment 252916 [details] [diff] [review]
Add VC9/CL15 support to Configure.in

Configure.in is currently set to accept the compiler versions 6, 7, 7.1 and 8. As a result, trying to build with the new "Orcas" pre-release (VC9) fails with an "Unsupported Compiler" error. Before any progress can be made into supporting "Orcas", we need to extend the version check to accept the new compiler.
Comment 1 Benjamin Smedberg [:bsmedberg] 2007-01-26 07:56:56 PST
Comment on attachment 252916 [details] [diff] [review]
Add VC9/CL15 support to Configure.in

netroller, you should request review from the build-config owner or peers (i.e. me) to get a patch reviewed
Comment 2 Gábor Stefanik 2007-01-26 09:55:39 PST
Take this comment as a review request. (My build with this patch is still going on, it will finish later in the evening.)
Comment 3 Gábor Stefanik 2007-01-27 12:31:26 PST
This patch seems to be worthy for checkin, by applying this patch I could build Firefox 3.0a2pre without any further changes. No regressions (except for maybe the ones caused by compiler changes). I now only need an r+sr for the patch to continue.
Comment 4 Gábor Stefanik 2007-01-28 07:35:37 PST
Just tested, there are some other problems with "Orcas": Firefox works correctly on systems with "Orcas" installed, but other computers require copying of the C/C++ Runtime DLLs to the Firefox install directory. (This is due to switching to a new runtime, version 9. Microsoft's fault? Probably... But let's not forget that it's still not final. Also note that copying the runtime DLLs to system32 doesn't work, you have to copy them to the Firefox directory - and to all other programs' directories that are built with "Orcas".) Otherwise I'm accepting this formally, because I'm working on this bug.
Comment 5 Benjamin Smedberg [:bsmedberg] 2007-01-28 07:53:11 PST
Comment on attachment 252916 [details] [diff] [review]
Add VC9/CL15 support to Configure.in

You removed the CRT_SECURE_NO_DEPRECATE and CRT_NOSTDC_NO_DEPRECATE flags from VC8.

The CRT issue is nothing new, we have the same issues with VC8. There is code in build/win32/Makefile.in to do CRT copying for release builds when WIN32_REDIST_DIR is set.
Comment 6 Gábor Stefanik 2007-01-28 07:57:34 PST
Oops... my mistake. _CRT_{SECURE|NOSTDC}_NO_DEPRECATE has been renamed to _CRT_{SECURE|NOSTDC}_NO_WARNINGS in VC9, and I've done a bit of, well, error when trying to apply that... new patch coming soon!
Comment 7 Gábor Stefanik 2007-01-28 08:22:14 PST
Created attachment 253096 [details] [diff] [review]
Add VC9/CL15 support to Configure.in, v1.1

Handle deprecation warnings correctly this time. (Finally I know why I saw lots of deprecation warnings while building! I thought it's a bug in "Orcas".)

Other news: The DLL issue can be fixed by installing .NetFX 3.5 (GreenBits) from the "Orcas" installer package (that you can download from Microsoft).
Comment 8 :Gavin Sharp [email: gavin@gavinsharp.com] 2007-01-28 10:22:11 PST
Stefanik: you need to put the requestee's email address in the review? field (benjamin), not your own.
Comment 9 Gábor Stefanik 2007-01-28 10:37:51 PST
Comment on attachment 253096 [details] [diff] [review]
Add VC9/CL15 support to Configure.in, v1.1

Oops... I misread "Requestee" as "Requester", so I entered my email.

On a side note, why are we openly giving out all e-mail addresses for spambots to harvest? Definitely this isn't what we should do! (Maybe we should do something like Bonsai, where @'s are substituted by %'s. Or we should captcha the e-mails.) Is there a bug on this behavior? If no, I'll open one.
Comment 10 Gábor Stefanik 2007-01-28 10:41:04 PST
Comment on attachment 253096 [details] [diff] [review]
Add VC9/CL15 support to Configure.in, v1.1

Undoing and re-doing review request so that Benjamin gets a mail.
Comment 11 Gábor Stefanik 2007-01-28 10:43:39 PST
Comment on attachment 253096 [details] [diff] [review]
Add VC9/CL15 support to Configure.in, v1.1

Undo and redo, part 2.
Comment 12 :Gavin Sharp [email: gavin@gavinsharp.com] 2007-01-28 10:44:25 PST
Comment on attachment 253096 [details] [diff] [review]
Add VC9/CL15 support to Configure.in, v1.1

There are already several bugs on the issue, like bug 120030, bug 219021, bug 218917, and bug 215439. I don't think it's really as big of an issue as people think it is.

You don't need to "undo and redo" the review request for Benjamin to get mail about it, and you don't need to request super-review for build patches.
Comment 13 Gábor Stefanik 2007-01-28 11:50:10 PST
When I set the request (but even after the undo/redo!) I got "excluding benjamin@smedbergs.us"! Does this mean he didn't get a mail?
Comment 14 :Gavin Sharp [email: gavin@gavinsharp.com] 2007-01-28 11:53:25 PST
No, request mail is separate from bugmail (plus, I think his bsmedberg@gmail account watches this entire component).
Comment 15 Benjamin Smedberg [:bsmedberg] 2007-01-30 09:08:03 PST
Fixed on trunk, thanks Stefanik
Comment 16 Gábor Stefanik 2007-01-30 09:13:47 PST
I'm going to update the Build Documentation now as a patch isn't req'd anymore. Also, a tracking bug for all current, previous or future "Orcas" compatibility work will be opened, as well as a bug about DLL copying (because the DLL names have changed in "Orcas").
Comment 17 Gábor Stefanik 2007-01-31 06:12:14 PST
Oh, and I almost forgot: VERIFIED FIXED
Comment 18 Henrik Skupin (:whimboo) 2008-03-08 03:53:14 PST
That means that Firefox can be officially build with VC9 now? MDC still mentioning it as experimental.

http://developer.mozilla.org/en/docs/Windows_Build_Prerequisites
Comment 19 Ted Mielczarek [:ted.mielczarek] 2008-03-08 04:54:47 PST
It works, but there are probably still remaining issues, such as bug 419665.
Comment 20 Eric Shepherd [:sheppy] 2008-03-10 08:45:15 PDT
If there are issues, should this be documented as working at this time?  I'm inclined to say "no."
Comment 21 Henrik Skupin (:whimboo) 2008-03-10 08:52:42 PDT
I think no. Just remove the flag until it is definitely working.
Comment 22 Ted Mielczarek [:ted.mielczarek] 2008-03-10 08:57:10 PDT
I think the current notation of "Experimental" is just fine. I don't think this needs extra dev documentation even if we work out the remaining bugs. Sheppy isn't the only one who can edit MDC, seriously.
Comment 23 Eric Shepherd [:sheppy] 2008-03-10 08:58:37 PDT
Ted, you just made me cry with joy a little bit. :)

Note You need to log in before you can comment on or make changes to this bug.